package EFS::Colors;

use strict;
use warnings;
use English;

# Standardize our use of ANSI colors

use Term::ANSIColor qw(colored);
$Term::ANSIColor::EACHLINE = qq{\n};
require Exporter;

use base q{Exporter};
our @EXPORT = qw( color_warn color_bad color_good color_neutral );

### Color definitions
my $COLOR_GOOD    = q{green};
my $COLOR_WARN    = q{yellow};
my $COLOR_BAD     = q{red};
my $COLOR_NEUTRAL = q{white};

sub color_warn {
    ##  no critic: ArgUnpacking
    my $text = @_ ? (join q{}, @_) : $_;
    return colored($text, $COLOR_WARN);
}

sub color_bad {
    ##  no critic: ArgUnpacking
    my $text = @_ ? (join q{}, @_) : $_;
    return colored($text, $COLOR_BAD);
}

sub color_good {
    ##  no critic: ArgUnpacking
    my $text = @_ ? (join q{}, @_) : $_;
    return colored($text, $COLOR_GOOD);
}

sub color_neutral {
    ##  no critic: ArgUnpacking
    my $text = @_ ? (join q{}, @_) : $_;
    return colored($text, $COLOR_NEUTRAL);
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
