package EFS::DBI::Result::DependencyReleaseAlias;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};
use base q{EFS::DBI::Dependency};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{dependency_releasealias} );

__PACKAGE__->add_columns( qw( dependent_release releasealias type ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{dependency_releasealias_seq} );

__PACKAGE__->belongs_to( dependent_release => q{EFS::DBI::Result::Release} );
__PACKAGE__->belongs_to( releasealias => q{EFS::DBI::Result::ReleaseAlias} );

sub display_headers {
    return qw( Dependent ReleaseAlias Type );
}

sub display_columns {
    return qw( dependent_object_id releasealias_object_id type );
}

sub dependent_release_object_id {
    return shift->dependent_release->object_id;
}

sub releasealias_object_id {
    return shift->releasealias->object_id;
}
sub dependent_metaproj {
    return shift->dependent_release->metaproj;
}

sub dependent_project {
    return shift->dependent_release->project;
}

sub metaproj {
    return shift->releasealias->metaproj;
}

sub project {
    return shift->releasealias->project;
}

sub target {
    return shift->releasealias;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
