package EFS::DBI::Result::FileshareAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{fileshare_attrs} );

__PACKAGE__->add_columns( qw( fileshare name value ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{fileshare_attrs_seq} );

__PACKAGE__->belongs_to( fileshare => q{EFS::DBI::Result::Fileshare} );

sub display_columns {
    return qw(fileserver fileshare name value);
}

sub display_headers {
    return qw(Fileserver Fileshare Attribute Value);
}

sub fileserver {
    return shift->fileshare->fileserver;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
