package EFS::DBI::Result::HomeAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{home_attrs} );

__PACKAGE__->add_columns( qw( home name value ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{home_attrs_seq} );

__PACKAGE__->belongs_to( home => q{EFS::DBI::Result::Home} );

sub display_columns {
    return qw(home name value);
}

sub display_headers {
    return qw(Home Attribute Value);
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
