package EFS::DBI::ResultSet::Fileqtree;

use strict;
use warnings;
use English;

use base q{EFS::DBI::ResultSet};

use Params::Validate qw( :all );

sub retrieve_bynames_assert {

    my $self = shift;

    my (%args) = validate( @_, {
        cell       => { type => SCALAR },
        fileserver => { type => SCALAR },
        fileshare  => { type => SCALAR },
        name       => { type => SCALAR },
    });

    my $fileshare_rs = EFS::DBI->get_resultset( q{Fileshare} );

    my $fileshare = $fileshare_rs->retrieve_bynames_assert(
        cell       => $args{cell},
        fileserver => $args{fileserver},
        name       => $args{fileshare},
    );

    my ($fileqtree) = $self->search({
        fileshare => $fileshare->id,
        name      => $args{name},
    });

    if ( not $fileqtree ) {
        die qq{No such fileqtree '$args{name}' in fileshare '$fileshare'\n};
    }

    return $fileqtree;

}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
