
alter table `history` add constraint `history_fk1`
foreign key (`parent`) references `history`(`id`);

create index `history_idx01` on `history`(`cell`);
create index `history_idx02` on `history`(`region`);
create index `history_idx03` on `history`(`campus`);
create index `history_idx04` on `history`(`location`);
create index `history_idx05` on `history`(`metaproj`);
create index `history_idx06` on `history`(`metaproj`,`project`);
create index `history_idx07` on `history`(`metaproj`,`project`,`release`);
create index `history_idx08` on `history`(`metaproj`,`project`,`release`,`install`);
create index `history_idx09` on `history`(`metaproj`,`project`,`releasealias`);
create index `history_idx10` on `history`(`metaproj`,`project`,`target`);
create index `history_idx11` on `history`(`platform`);
create index `history_idx12` on `history`(`platforminstance`);
create index `history_idx13` on `history`(`cell`,`fileserver`);
create index `history_idx14` on `history`(`cell`,`fileserver`,`fileshare`);
create index `history_idx15` on `history`(`cell`,`fileserver`,`fileshare`,`fileqtree`);
create index `history_idx16` on `history`(`efsserver`);
create index `history_idx18` on `history`(`business`);
create index `history_idx19` on `history`(`division`);
create index `history_idx20` on `history`(`pod`);
create index `history_idx21` on `history`(`hostclass`);
create index `history_idx22` on `history`(`location`,`cabinet`);
create index `history_idx23` on `history`(`platformbuild`);
create index `history_idx30` on `history`(`feature`);
create index `history_idx31` on `history`(`ffrule`);
create index `history_idx32` on `history`(`parameter`);
create index `history_idx33` on `history`(`home`);
create index `history_idx34` on `history`(`platformalias`);
create index `history_idx35` on `history`(`platforminstancealias`);

alter table `diststats` add constraint `diststats_fk1`
foreign key (`history`) references `history`(`id`);

create index `diststats_idx1` on `diststats`(`src_cell`);
create index `diststats_idx2` on `diststats`(`dest_cell`);
create index `diststats_idx3` on `diststats`(`metaproj`);
create index `diststats_idx4` on `diststats`(`metaproj`,`project`);
create index `diststats_idx5` on `diststats`(`metaproj`,`project`,`release`);

alter table `rsyncstats` add constraint `rsyncstats_fk1`
foreign key (`diststats`) references `diststats`(`id`);

create index `rsyncstats_idx1` on `rsyncstats`(`src_cell`);
create index `rsyncstats_idx2` on `rsyncstats`(`dest_cell`);
create index `rsyncstats_idx3` on `rsyncstats`(`metaproj`);
create index `rsyncstats_idx4` on `rsyncstats`(`metaproj`,`project`);
create index `rsyncstats_idx5` on `rsyncstats`(`metaproj`,`project`,`release`);
create index `rsyncstats_idx6` on `rsyncstats`(`metaproj`,`project`,`release`,`install`);
