#!/usr/bin/env perl
use strict;
use warnings;
use English;
use Carp;

use Test::More;

# Create /var/efs directory structure

if ( -d q{/var/efs} ) {
    die(
        qq{EFS directory (/var/efs) exists.\n},
        qq{Remove this first (test/99_shutdown/98_basicdirs.t)\n}
    );
}

my @localdirs = (
    [ q{/var/efs}, 0755 ],
);

foreach my $ref (@localdirs) {
    my ($dir,$mode) = @{ $ref };
    mkdir( $dir, $mode ) || die qq{Unable to mkdir $dir: $ERRNO\n};
    ok( 1, qq{mkdir $dir} );
}

ok( 1, q{Created /var/efs} );

done_testing();

1;
